## fpc 2.4.4-maemo1

=== Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/02/27]
#
default: help
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=.
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=fpc
override PACKAGE_VERSION=2.4.4
ifndef inOS2
override FPCDIR:=$(BASEDIR)
export FPCDIR
endif
ifndef BUILDDIR
BUILDDIR=$(BASEDIR)/build
endif
ifndef PPNEW
ifeq ($(CPU_TARGET),m68k)
PPSUF=68k
endif
ifeq ($(CPU_TARGET),i386)
PPSUF=386
endif
ifeq ($(CPU_TARGET),x86_64)
PPSUF=x64
endif
ifeq ($(CPU_TARGET),sparc)
PPSUF=sparc
endif
ifeq ($(CPU_TARGET),powerpc)
PPSUF=ppc
endif
ifeq ($(CPU_TARGET),powerpc64)
PPSUF=ppc64
endif
ifeq ($(CPU_TARGET),alpha)
PPSUF=axp
endif
ifeq ($(CPU_TARGET),arm)
PPSUF=arm
endif
ifeq ($(CPU_TARGET),armeb)
PPSUF=arm
endif
ifdef CROSSCOMPILE
PPPRE=ppcross
else
PPPRE=ppc
endif
PPNEW=$(BASEDIR)/compiler/$(PPPRE)$(PPSUF)$(SRCEXEEXT)
endif
ifneq ($(wildcard install),)
CVSINSTALL=install
else
CVSINSTALL=.
endif
ifdef SNAPSHOT
INSTALLTARGET=install
else
ifdef CROSSINSTALL
INSTALLTARGET=install
else
INSTALLTARGET=distinstall
endif
endif
ifdef SNAPSHOT
ALLTARGET=all
else
ifndef ALLTARGET
SHAREDTARGETS=
SMARTTARGETS=win32 go32v2 linux freebsd netbsd openbsd netware netwlibc darwin
ifneq ($(findstring $(OS_TARGET),$(SHAREDTARGETS)),)
ALLTARGET=shared
else
ifneq ($(findstring $(OS_TARGET),$(SMARTTARGETS)),)
ALLTARGET=smart
else
ALLTARGET=all
endif
endif
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
PKGUNITSPRE=u
else
PKGUNITSPRE=units-
endif
ifdef CROSSINSTALL
PKGPRE=$(FULL_TARGET)-
else
PKGPRE=
endif
override RELEASE=1
export RELEASE
ifndef DIST_DESTDIR
export DIST_DESTDIR:=$(BASEDIR)
endif
BASEPACKDIR=$(BASEDIR)/basepack
ifeq ($(FULL_SOURCE),$(FULL_TARGET))
FPCMAKENEW=$(BASEDIR)/utils/fpcm/fpcmake$(EXEEXT)
else
FPCMAKENEW=fpcmake
endif
CLEANOPTS=FPC=$(PPNEW)
BUILDOPTS=FPC=$(PPNEW) RELEASE=1
INSTALLOPTS=FPC=$(PPNEW) ZIPDESTDIR=$(BASEDIR) FPCMAKE=$(FPCMAKENEW)
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_DIRS+=compiler rtl utils packages
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_DIRS+=compiler rtl utils packages

=== packages/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/02/27]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_DIRS+=hash pasjpeg paszlib fpmkunit fcl-xml fcl-base fcl-db fcl-image fcl-net fcl-passrc fcl-registry fcl-fpcunit fcl-json fcl-js fcl-process unzip regexpr chm fcl-res libgd symbolic bzip2 hermes  fv fcl-web fastcgi fcl-async ibase mysql ncurses unzip zlib oracle dbus odbc postgres sqlite pthreads imagemagick gdbint libpng x11 uuid ldap modplug dts mad  gdbm tcl syslog libcurl opengl opencl cairo gtk1 gtk2 librsvg a52 bfd aspell svgalib newt cdrom users  iconvenc libxml proj4 fcl-extra imlib utmp  fpgtk openal lua oggvorbis xforms fftw pcap ggi sdl openssl gnome1 httpd13 httpd20 httpd22 pxlib numlib gmp ptc libsee opengles gles20 graph libc unixutil graph pxlib
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_DIRS+=hash pasjpeg paszlib fpmkunit fcl-xml fcl-base fcl-db fcl-image fcl-net fcl-passrc fcl-registry fcl-fpcunit fcl-json fcl-js fcl-process unzip regexpr chm fcl-res libgd symbolic bzip2 hermes  fv graph unzip gdbint
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_DIRS+=hash pasjpeg paszlib fpmkunit fcl-xml fcl-base fcl-db fcl-image fcl-net fcl-passrc fcl-registry fcl-fpcunit fcl-json fcl-js fcl-process unzip regexpr chm fcl-res libgd symbolic bzip2 hermes  fv winunits-base winunits-jedi fcl-web fastcgi ibase mysql zlib oracle odbc postgres sqlite imagemagick gdbint libpng mad tcl opengl gtk1 gtk2 librsvg a52 cdrom fpgtk openal fftw lua fcl-extra  oggvorbis sdl openssl graph pcap httpd13 httpd20 httpd22 pxlib numlib winceunits cairo libxml gmp opencl ptc libsee nvapi
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_DIRS+=hash pasjpeg paszlib fpmkunit fcl-xml fcl-base fcl-db fcl-image fcl-net fcl-passrc fcl-registry fcl-fpcunit fcl-json fcl-js fcl-process unzip regexpr chm fcl-res libgd symbolic bzip2 hermes  fv zlib libpng x11 tcl fpgtk rexx os2units gtk1 imlib
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_DIRS+=hash pasjpeg paszlib fpmkunit fcl-xml fcl-base fcl-db fcl-image fcl-net fcl-passrc fcl-registry fcl-fpcunit fcl-json fcl-js fcl-process unzip regexpr chm fcl-res libgd symbolic bzip2 hermes  fv fcl-web fastcgi fcl-async ibase mysql ncurses zlib oracle odbc postgres sqlite pthreads imagemagick gdbint libpng x11 gdbm tcl syslog libcurl opengl cairo  bfd aspell svgalib imlib utmp  fpgtk xforms fftw pcap ggi sdl openssl graph gnome1 gtk1 gtk2 librsvg httpd13 httpd20 httpd22 pxlib numlib users iconvenc gmp fcl-extra libxml
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_DIRS+=hash pasjpeg paszlib fpmkunit fcl-xml fcl-base fcl-db fcl-image fcl-net fcl-passrc fcl-registry fcl-fpcunit fcl-json fcl-js fcl-process unzip regexpr chm fcl-res libgd symbolic bzip2 hermes  fv fcl-web fastcgi fcl-async ibase mysql ncurses zlib oracle odbc postgres sqlite pthreads imagemagick gdbint libpng x11 gdbm tcl syslog libcurl opengl cairo bfd aspell svgalib imlib utmp  fpgtk xforms fftw pcap ggi sdl openssl graph gnome1 gtk1 gtk2 librsvg httpd13 httpd20 httpd22 pxlib numlib iconvenc
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_DIRS+=hash pasjpeg paszlib fpmkunit fcl-xml fcl-base fcl-db fcl-image fcl-net fcl-passrc fcl-registry fcl-fpcunit fcl-json fcl-js fcl-process unzip regexpr chm fcl-res libgd symbolic bzip2 hermes  fv fcl-web fastcgi fcl-async ibase mysql ncurses zlib oracle odbc postgres sqlite pthreads imagemagick gdbint libpng x11 gdbm tcl syslog libcurl opengl cairo bfd aspell svgalib imlib utmp  fpgtk xforms fftw pcap ggi sdl openssl graph gnome1 gtk1 gtk2 librsvg httpd13 httpd20 httpd22 pxlib numlib iconvenc
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_DIRS+=hash pasjpeg paszlib fpmkunit fcl-xml fcl-base fcl-db fcl-image fcl-net fcl-passrc fcl-registry fcl-fpcunit fcl-json fcl-js fcl-process unzip regexpr chm fcl-res libgd symbolic bzip2 hermes  fv fcl-web fastcgi fcl-async ibase mysql ncurses zlib oracle odbc postgres sqlite pthreads imagemagick gdbint libpng x11 gdbm tcl syslog libcurl opengl cairo gtk1 gtk2 librsvg bfd aspell svgalib imlib utmp  fpgtk xforms fftw pcap ggi sdl openssl gnome1 httpd13 httpd20 httpd22 pxlib numlib
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_DIRS+=hash pasjpeg paszlib fpmkunit fcl-xml fcl-base fcl-db fcl-image fcl-net fcl-passrc fcl-registry fcl-fpcunit fcl-json fcl-js fcl-process unzip regexpr chm fcl-res libgd symbolic bzip2 hermes  fv fcl-web fastcgi fcl-async ibase mysql ncurses zlib oracle odbc postgres sqlite pthreads imagemagick libpng x11 gdbm tcl syslog libcurl opengl cairo gtk1 bfd svgalib fcl-extra imlib utmp  fpgtk xforms fftw pcap ggi  openssl gnome1 httpd13 httpd20 httpd22 numlib iconvenc gtk2 cairo
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_DIRS+=hash pasjpeg paszlib fpmkunit fcl-xml fcl-base fcl-db fcl-image fcl-net fcl-passrc fcl-registry fcl-fpcunit fcl-json fcl-js fcl-process unzip regexpr chm fcl-res libgd symbolic bzip2 hermes
endif
ifeq ($(FULL_TARGET),i386-netware)

=== packages/gles20/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/02/27]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=gles20
override PACKAGE_VERSION=2.5.1
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_UNITS+=gles20
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-gba)

=== packages/opengles/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/02/27]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=opengles
override PACKAGE_VERSION=2.4.4
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=gles11
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=gles11
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=gles11
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=gles11
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=gles11
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=gles11
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=gles11
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=gles11
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=gles11
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_UNITS+=gles11
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_EXAMPLEDIRS+=examples
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)

=== packages/gles20/examples/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2011/02/27]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx haiku
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
ifndef RUNBATCH
RUNBATCH=$(COMSPEC) /C
endif
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
override DEFAULT_FPCDIR=../../..
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
else
ifeq ($(strip $(wildcard $(FPC))),)
FPC:=$(firstword $(FPCPROG))
endif
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_PROGRAMS+=gles20demo
endif
ifeq ($(FULL_TARGET),armeb-embedded)
override TARGET_PROGRAMS+=gles20demo
endif
override INSTALL_FPCPACKAGE=y
ifeq ($(FULL_TARGET),i386-linux)
override COMPILER_OPTIONS+=-S2h
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override COMPILER_OPTIONS+=-S2h
endif
ifeq ($(FULL_TARGET),i386-win32)
override COMPILER_OPTIONS+=-S2h
endif
ifeq ($(FULL_TARGET),i386-os2)
override COMPILER_OPTIONS+=-S2h
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override COMPILER_OPTIONS+=-S2h
endif
ifeq ($(FULL_TARGET),i386-beos)
override COMPILER_OPTIONS+=-S2h
endif
ifeq ($(FULL_TARGET),i386-haiku)
override COMPILER_OPTIONS+=-S2h
endif
ifeq ($(FULL_TARGET),i386-netbsd)

=== debian/changelog ===
fpc (2.4.4-maemo1) unstable; urgency=low

  * Upstream 2.4.4 release 
  * gles1.1 compiled also Linux target
  * added gles2.0

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  2 Jun 2011 17:55:00 +0200

=== debian/control ===
Source: fpc
Section: devel
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), mawk | awk, gs-common, libncurses-dev, binutils
Homepage: http://www.freepascal.org/

Package: fpc-2.4.4
Architecture: all
Depends: ${misc:Depends}, fp-units-rtl-2.4.4 (>= ${binary:Version}), fp-compiler-2.4.4 (>= ${binary:Version}), fp-units-2.4.4 (>= ${binary:Version}),
Recommends: fp-utils-2.4.4
Description: Free Pascal - SDK-2.4.4 metapackage
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 Some extensions are added to the language, like function overloading. Shared
 libraries can be linked and created. Delphi language extensions like classes,
 exceptions, ansi strings and open arrays are also supported.
 .
 This package contains dependency on all FPC packages provided on your
 architecture. Experienced users may want to install only packages they need,
 and can skip installing this metapackage.

Package: fp-compiler-2.4.4
Architecture: any
Depends: ${misc:Depends}, fp-units-rtl-2.4.4 (= ${binary:Version}), binutils
Recommends: fp-utils-2.4.4 (>= ${binary:Version})
Description: Free Pascal - Compiler
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 Some extensions are added to the language, like function overloading. Shared
 libraries can be linked and created. Delphi language extensions like classes,
 exceptions, ansi strings and open arrays are also supported.
 .
 This package contains the command line compiler.


Package: fp-utils-2.4.4
Architecture: any
Depends: ${misc:Depends}
Recommends: fp-compiler-2.4.4 (= ${binary:Version})
Provides: fp-utils
Description: Free Pascal - Utils
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 This package contains some handy utils for usage with the Free Pascal
 Compiler:
   - ppumove     Place multiple units in a shared library
   - ppufiles    Show needed files for units
   - ppudump     Dump the information stored in a .ppu (unit) file
   - fpcmake     Create Makefile from Makefile.fpc
   - h2pas       Convert .h files to pascal units
   - ppdep       Create a dependency file which can be used with Makefiles
   - ptop        Source beautifier
   - data2inc    Convert binary/text data to include files
   - plex/pyacc  Pascal Lex/Yacc implementation

Package: fp-units-rtl-2.4.4
Architecture: any
Depends: ${misc:Depends}
Recommends: fp-compiler-2.4.4 (= ${binary:Version})
Description: Free Pascal - Runtime Library
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 This package contains the Runtime Libraries for the Free Pascal Compiler.

Package: fp-units-2.4.4
Architecture: any
Depends: ${misc:Depends}, fp-units-rtl-2.4.4 (= ${binary:Version})
Description: Free Pascal - base units
 The Free Pascal Compiler is an object pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects as well as Mac pascal dialects.
 It provides a completely portable RunTime Library (RTL) available on many
 platforms and compatible with Turbo Pascal, but also a platform independent
 class based Free Component Library (FCL) adding many Delphi extensions and
 interfacing many popular open source libraries.
 .
 This package contains Free Pascal units for common libraries.  Some of these
 units are also required by the Free Component Library:
  - X11 (Xlib, Xutil)
  - NCurses
  - ZLib
 This package contains the Free Component Library for the Free Pascal Compiler.
 This package contains the Free Vision units for the Free Pascal Compiler.
 This package contains Free Pascal units and examples to create:
  - programs with GTK+ 1.2.
  - programs with GTK+ 2.x.
  - programs for GNOME 1.
 This package contains Free Pascal units with bindings for:
  - MySQL
  - Interbase
  - PostgreSQL
  - Oracle
  - ODBC
  - GDBM
  - SQLite
  - opengl :OpenGL
  - forms : Forms 0.88
  - svgalib : Svgalib
  - ggi : General Graphical Interface
  - libgd
  - libpng
  - graph
  - openal
  - cairo
  - netdb : NetDB unit for TCP/IP handling
  - libasync : LibAsync unit for easy Asynchronous IO
  - libcurl
  - dbus: D-Bus
  - httpd-1.3
  - httpd-2.0
  - httpd-2.2
  - ldap
  - openssl : Open SSL
  - pcap
  - gmp : Interface for the GNU Multiple Precision Arithmetic Library
  - proj4 : Compute projections
  - numlib : numerical computing
  - symbolic : symbolic computing
  - fppkg : support of FPC packaging system
  - Utmp
  - PasZLib (Pascal-only zlib implementation)
  - oggvorbis
  - a52
  - dts
  - mad
  - modplug
  - libc: used for compatibility with kylix, deprecated.
  - opengles 1.1
  - opengles 2.0

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Free Pascal from Debian (modified for Maemo)

DEB_PACKAGE_NAME = fpc
DEB_DH_BUILDDEB_ARGS := -- -Z bzip2
export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
export LANG:=C

# Documentation type to use pdf/html
ifeq (${DEBDOCTYPE},)
DOCTYPE=html
# HTML Converter l2h/4ht/hevea or html for (default)
CONVERTER=hevea
else
DOCTYPE=${DEBDOCTYPE}
CONVERTER=${DOCTYPE}
endif
# Undefine FPC if it was set
unexport FPC

# Detect name of new compiler, take care that debian uses amd64 instead of x86_64
CPU_SOURCE := $(subst amd64,x86_64,$(shell dpkg-architecture -qDEB_BUILD_ARCH))
CPU_TARGET := $(subst amd64,x86_64,$(shell dpkg-architecture -qDEB_HOST_ARCH))

# Fixup armel, too
CPU_SOURCE := $(subst armel,arm,$(CPU_SOURCE))
CPU_TARGET := $(subst armel,arm,$(CPU_TARGET))

ifeq ($(CPU_TARGET),m68k)
PPSUF=68k
endif
ifeq ($(CPU_TARGET),i386)
PPSUF=386
endif
ifeq ($(CPU_TARGET),x86_64)
PPSUF=x64
endif
ifeq ($(CPU_TARGET),powerpc)
PPSUF=ppc
endif
ifeq ($(CPU_TARGET),alpha)
PPSUF=axp
endif
ifeq ($(CPU_TARGET),arm)
PPSUF=arm
endif
ifeq ($(CPU_TARGET),sparc)
PPSUF=sparc
endif

ifneq ($(CPU_SOURCE),$(CPU_TARGET))
PPPRE=ppcross
else
PPPRE=ppc
endif

PPNEW=$(PPPRE)$(PPSUF)

FPCTARGET=$(CPU_TARGET)-linux
# Get version information from changelog file
DEB_VERSION:=$(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_UPSTREAM_VERSION:=$(shell echo $(DEB_VERSION) | cut -f 1 -d -)
DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e 's/^\([0-9\.]*\).*/\1/')
DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
ifndef PACKAGESUFFIX
export PACKAGESUFFIX=-${DEB_UPSTREAM_MAIN_VERSION}
endif
# Get directories
CURDIR:=$(shell pwd)
BUILD_DIR=$(CURDIR)/debian/build
INSTALL_DIR=$(CURDIR)/debian/opt/fpc

# Get utils
ifndef MKDIR
MKDIR=mkdir -p
endif
ifndef CP
CP=cp -Rfpl
endif
ifndef MV
MV=mv
endif
RM:=rm -rf
# Get fpcmake from path if none is specified.
ifndef FPCMAKE
FPCMAKE=fpcmake
endif
# Undefine FPCDIR if it was set
unexport FPCDIR
NEWPP=$(CURDIR)/compiler/$(PPNEW)
NEWFPDOC=$(CURDIR)/utils/fpdoc/fpdoc
#If not cross compiling, then use new generated fpcmake utility.
ifeq (${PPPRE},)
NEWFPCMAKE=$(CURDIR)/utils/fpcm/fpcmake
else
NEWFPCMAKE=${FPCMAKE}
endif
# Set default compilation options
BUILDOPTS=PP=$(NEWPP)
ifdef CROSSOPT
BUILDOPTS+= CROSSOPT=${CROSSOPT}
endif

export GDBLIBDIR=/usr/lib

#export DH_VERBOSE=1

###################
# Clean
#

clean: configure clean-patched
clean-patched:
	@echo "--- Cleaning"
	dh_testdir
	dh_testroot
	dh_prep

###################
# Debian files
#

debian-files: debian-files-stamp
debian-files-stamp:
	@echo "--- Creating/fixing *.install files"
	touch debian-files-stamp

###################
# Arch packages
#

configure: configure-stamp
configure-stamp:
	touch configure-stamp

build-arch: debian-files configure build-arch-stamp
build-arch-stamp:
	@echo "--- Building"
	dh_testdir
	$(MAKE) all PP=$(CURDIR)/debian/ppcrel_$(PPSUF)

	touch build-arch-stamp

install-arch: build-arch install-arch-stamp
install-arch-stamp:
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_installdirs

	#regular make install using just compiled compiled
	time make install PP=$(CURDIR)/compiler/ppc3 INSTALL_PREFIX=${INSTALL_DIR}
	
	#then put them to the correct subfolders

	#Note. e.g. $(FPCTARGET)= x86_64-linux

	#compiler -package
	${MKDIR} $(CURDIR)/debian/fp-compiler-2.4.4/usr/bin
	${MKDIR} $(CURDIR)/debian/fp-compiler-2.4.4/etc

	${MKDIR} $(CURDIR)/debian/fp-compiler-2.4.4/opt/fpc/bin
	${MKDIR} $(CURDIR)/debian/fp-compiler-2.4.4/opt/fpc/lib/fpc/2.4.4/msg/

	${MV} ${INSTALL_DIR}/bin/fpc $(CURDIR)/debian/fp-compiler-2.4.4/opt/fpc/bin
	${MV} ${INSTALL_DIR}/lib/fpc/2.4.4/msg/* $(CURDIR)/debian/fp-compiler-2.4.4/opt/fpc/lib/fpc/2.4.4/msg/
	${MV} ${INSTALL_DIR}/lib/fpc/2.4.4/samplecfg $(CURDIR)/debian/fp-compiler-2.4.4/opt/fpc/lib/fpc/2.4.4
	${MV} ${INSTALL_DIR}/lib/fpc/2.4.4/ppc$(PPSUF) $(CURDIR)/debian/fp-compiler-2.4.4/opt/fpc/lib/fpc/2.4.4/

		#generate fpc.cfg
	$(CURDIR)/debian/samplecfg /opt/fpc $(CURDIR)/debian/etc $(FPCTARGET)
	${MV} $(CURDIR)/debian/etc/fpc.cfg $(CURDIR)/debian/fp-compiler-2.4.4/etc


	#utils -package
	${MKDIR} $(CURDIR)/debian/fp-utils-2.4.4/opt/fpc/bin
	${MKDIR} $(CURDIR)/debian/fp-utils-2.4.4/opt/fpc/lib/fpc/lexyacc

	${MV} ${INSTALL_DIR}/bin/* $(CURDIR)/debian/fp-utils-2.4.4/opt/fpc/bin
	${MV} ${INSTALL_DIR}/lib/fpc/lexyacc/* $(CURDIR)/debian/fp-utils-2.4.4/opt/fpc/lib/fpc/lexyacc


	#units-rtl -package 
	${MKDIR} $(CURDIR)/debian/fp-units-rtl-2.4.4/opt/fpc/lib/fpc/2.4.4/units/$(FPCTARGET)/

	${MV} ${INSTALL_DIR}/lib/fpc/2.4.4/units/$(FPCTARGET)/rtl $(CURDIR)/debian/fp-units-rtl-2.4.4/opt/fpc/lib/fpc/2.4.4/units/$(FPCTARGET)/
	
	#units -package (this contains all units -packages (e.g. debian/ubuntu splits them several packages)
	${MKDIR} $(CURDIR)/debian/fp-units-2.4.4/opt/fpc/lib/fpc/2.4.4/
	${MV} ${INSTALL_DIR}/lib/fpc/2.4.4/units/ $(CURDIR)/debian/fp-units-2.4.4/opt/fpc/lib/fpc/2.4.4/


	#link to the path
	ln -s /opt/fpc/lib/fpc/2.4.4/ppc$(PPSUF) $(CURDIR)/debian/fp-compiler-2.4.4/usr/bin/fpc 

	touch install-arch-stamp

arrange-arch: install-arch arrange-arch-stamp install-man
arrange-arch-stamp:
	dh_testdir
	dh_testroot
	touch arrange-arch-stamp

build-indep:
install-indep:
	touch install-indep-stamp

install-man: install-man-stamp
install-man-stamp:
	touch install-man-stamp

###################
# Documentation
#

build-doc: debian-files build-doc-stamp
build-doc-stamp:
	touch build-doc-stamp

install-doc: build-doc install-doc-stamp
install-doc-stamp:
	@echo "--- Installing Documentation"
	touch install-doc-stamp

###################
# Source
#

install-source: install-source-stamp
install-source-stamp: 
	@echo "--- Cleaning the tree and copying the source code"
	dh_testdir
	dh_testroot
	touch install-source-stamp

###################
# Generic
#

build: build-arch build-indep
install: install-arch install-indep
binary: binary-arch binary-indep


###################
# Deb building
#

binary-indep: clean-patched build-doc install-doc install-source debian-files
	@echo "--- Building: arch-indep packages"
	dh_testdir
	dh_testroot
	dh_installdocs -i -X.in
	dh_installchangelogs -i

	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdebconf -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i $(DEB_DH_BUILDDEB_ARGS)

binary-arch: arrange-arch
	@echo "--- Building: arch packages"
	dh_testdir
	dh_testroot
	dh_link
	dh_installdocs -a -X.in
	dh_installchangelogs -a
	dh_strip -s
	dh_compress -a
	dh_fixperms -a
	dh_installdebconf -a
	dh_installdeb -a
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s $(DEB_DH_BUILDDEB_ARGS)

.PHONY: build clean binary binary-arch \
	binary-indep debian-files build-arch \
	install install-indep install-arch \
	configure

get-orig-source:
	-uscan --upstream-version=0 --rename
